<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>org.LibreECM</groupId>
	<artifactId>LibreECMOpenCMIS</artifactId>
	<version>0.1.0</version>
	<packaging>war</packaging>
	<name>LibreECMOpenCMIS</name>
	<description>OpenCMIS component of the LibreECM System</description>
	<licenses>
		<license>
			<name>The Apache Software License, Version 2.0</name>
			<url>http://www.apache.org/licenses/LICENSE-2.0.txt</url>
			<distribution>repo</distribution>
		</license>
	</licenses>
	<developers>
		<developer>
			<id>jperez</id>
			<name>Jordi Pérez Bayerri</name>
			<email>jlpb@telepolis.com</email>
		</developer>
	</developers>
	<parent>
		<groupId>org.springframework.boot</groupId>
		<artifactId>spring-boot-starter-parent</artifactId>
		<version>1.3.3.RELEASE</version>
	</parent>

	<properties>
		<opencmis.version>0.13.0</opencmis.version>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
	</properties>
	<build>
		<plugins>

			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-war-plugin</artifactId>
				<configuration>
					<overlays>
						<overlay></overlay>
						<overlay>
							<groupId>org.apache.chemistry.opencmis</groupId>
							<artifactId>chemistry-opencmis-server-bindings-war</artifactId>
							<excludes>
								<!-- exclude everything you don't need -->
								<exclude>index.html</exclude> <!-- default index page -->
								<exclude>css/**</exclude> <!-- CSS for the default index page -->
								<exclude>images/**</exclude><!-- images for the default index page -->
								<exclude>web/**</exclude> <!-- sample JavaScript application -->
								<exclude>WEB-INF/classes/sample-repository.properties</exclude> <!-- sample server properties file -->
								<exclude>WEB-INF/token/**</exclude> <!-- sample Browser Binding token implementation -->
							</excludes>
							<includes>
								<include>**</include>
								<include>META-INF/THIRD-PARTY-LICENSES</include>
							</includes>
						</overlay>
					</overlays>
					<archive>
						<manifestEntries>
							<DisableIBMJAXWSEngine>true</DisableIBMJAXWSEngine>
						</manifestEntries>
					</archive>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-eclipse-plugin</artifactId>
				<configuration>
					<wtpversion>2.0</wtpversion>
					<wtpContextName>my-cmis-server</wtpContextName>
					<downloadSources>true</downloadSources>
					<downloadJavadocs>true</downloadJavadocs>
					<linkedResources>
						<linkedResource>
							<name>src/main/webapp/WEB-INF/sun-jaxws.xml</name>
							<type>1</type>
							<location>PROJECT_LOC/target/${project.build.finalName}/WEB-INF/sun-jaxws.xml</location>
						</linkedResource>
						<linkedResource>
							<name>src/main/webapp/WEB-INF/web.xml</name>
							<type>1</type>
							<location>PROJECT_LOC/target/${project.build.finalName}/WEB-INF/web.xml</location>
						</linkedResource>
						<linkedResource>
							<name>src/main/webapp/WEB-INF/cmis10</name>
							<type>2</type>
							<location>PROJECT_LOC/target/${project.build.finalName}/WEB-INF/cmis10</location>
						</linkedResource>
						<linkedResource>
							<name>src/main/webapp/WEB-INF/cmis11</name>
							<type>2</type>
							<location>PROJECT_LOC/target/${project.build.finalName}/WEB-INF/cmis11</location>
						</linkedResource>
					</linkedResources>
				</configuration>
			</plugin>
			<!-- <plugin>
				<groupId>org.wildfly.plugins</groupId>
				<artifactId>wildfly-maven-plugin</artifactId>
				<version>1.0.2.Final</version>
				<configuration>
					<username>george</username>
					<password>primax</password>
					<name>opencmis.war</name>
				</configuration>
			</plugin> -->
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
			</plugin>
		<!-- 	<plugin>
				<groupId>org.codehaus.mojo</groupId>
				<artifactId>tomcat-maven-plugin</artifactId>
				<configuration>
					<server>tomcat</server>
					<url>http://localhost:8080/manager</url>
					<path>/opencmis</path>
				</configuration>
			</plugin>
			--><plugin>
				<inherited>true</inherited>
				<artifactId>maven-compiler-plugin</artifactId>
				<configuration>
					<target>1.8</target>
					<source>1.8</source>
					<encoding>UTF-8</encoding>
				</configuration>
			</plugin>
		</plugins>
	</build>

	<dependencies>
	 	<dependency>
			<groupId>org.apache.chemistry.opencmis</groupId>
			<artifactId>chemistry-opencmis-server-bindings-war</artifactId>
			<version>${opencmis.version}</version>
			<type>war</type>
		</dependency>
		<dependency>
			<groupId>org.apache.chemistry.opencmis</groupId>
			<artifactId>chemistry-opencmis-server-support</artifactId>
			<version>${opencmis.version}</version>
		</dependency>
		 
		 <!-- Uncomment for CORS support <dependency> <groupId>com.thetransactioncompany</groupId> 
			<artifactId>cors-filter</artifactId> <version>2.1.2</version> </dependency> -->
		 <!--<dependency>-->
		
			<!-- for development only -->
			<!--<groupId>org.apache.chemistry.opencmis</groupId>
			<artifactId>chemistry-opencmis-server-bindings</artifactId>
			<version>${opencmis.version}</version>
			<scope>provided</scope>
		</dependency>
		--><dependency>
			<!-- for development only -->
			<groupId>javax.servlet</groupId>
			<artifactId>servlet-api</artifactId>
			<version>2.5</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-tomcat</artifactId>
			<scope>provided</scope>
		</dependency> 
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-web</artifactId>
		</dependency>
		<!-- <dependency>
			<groupId>org.codehaus.jackson</groupId>
			<artifactId>jackson-mapper-asl</artifactId>
			<version>1.9.10</version>
		 	<version>2.2.2</version>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-oxm</artifactId>
		</dependency>
		
		 -->
		 <!-- Uses Castor for XML -->
		<!-- <dependency>
			<groupId>org.codehaus.castor</groupId>
			<artifactId>castor</artifactId>
			<version>1.2</version>
		</dependency>
 -->
		<!-- Castor need this -->
		<dependency>
			<groupId>xerces</groupId>
			<artifactId>xercesImpl</artifactId>
			<version>2.8.1</version>
		</dependency>
<!--  
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-context</artifactId>
		</dependency>

		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-context-support</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-web</artifactId>
		</dependency>
		-->
		<!-- <dependency>
			<groupId>org.springframework.hateoas</groupId>
			<artifactId>spring-hateoas</artifactId>
		</dependency>
		<dependency>
			<groupId>com.fasterxml.jackson.core</groupId>
			<artifactId>jackson-annotations</artifactId>
			 <version>2.2.2</version> 
		</dependency>
		<dependency>
			<groupId>com.fasterxml.jackson.core</groupId>
			<artifactId>jackson-core</artifactId>
			<version>2.2.2</version>
		</dependency>
		<dependency>
			<groupId>com.fasterxml.jackson.core</groupId>
			<artifactId>jackson-databind</artifactId>
			<version>2.2.2</version>
		</dependency>
		--><dependency>
			<groupId>org.LibreECM</groupId>
			<artifactId>LibreECMCommonAPI</artifactId>
			<version>0.1.0</version>
		</dependency>

	</dependencies>

</project>
